import { Tag } from '../pointers';
import { UnknownCreator } from '../types';
/**
 * @description
 * Tags target.
 *
 * @param target - constructor or function that will be tagged.
 * @param ...tags - tags.
 * @returns the `target` first argument.
 *
 * @link https://brandi.js.org/reference/conditional-bindings
 */
export declare const tagged: <T extends UnknownCreator<unknown>>(target: T, ...tags: Tag[]) => T;
